﻿using System.Collections;
using System.Collections.Generic;
using NUnit.Framework;
using UnityEngine;
using UnityEngine.TestTools;
using KairoEngine.Core;
using KairoEngine.Core.GameActions;

namespace KairoEngine.Core.EditorTests.GameActions
{
    public class DebugLogGameActionTests
    {
        [UnityTest]
        public IEnumerator DebugLogGameAction_ControllerIntegrationTest()
        {
            LogAssert.Expect(LogType.Log, "Hello world");
            GameActionsController controller = new GameActionsController();
            DebugLogGameAction debugAction = new DebugLogGameAction(controller);
            debugAction.message = "Hello world";
            controller.actions.Add(debugAction);
            controller.Start();
            yield return null;
            yield return null;
            yield return null;
        }

    }
}
